Package org.apache.catalina.ssi

## Class SSIServletExternalResolver.ServletContextAndPath

- java.lang.Object
- - org.apache.catalina.ssi.SSIServletExternalResolver.ServletContextAndPath

- Enclosing class:
    SSIServletExternalResolver

      protected static class SSIServletExternalResolver.ServletContextAndPath
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `path` |
    `protected ServletContext` | `servletContext` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServletContextAndPath​(ServletContext servletContext, java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` |
    `ServletContext` | `getServletContext()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContext

          protected final ServletContext servletContext

    - #### path

          protected final java.lang.String path

  - ### Constructor Detail

    - #### ServletContextAndPath

          public ServletContextAndPath​(ServletContext servletContext,
                                       java.lang.String path)

  - ### Method Detail

    - #### getServletContext

          public ServletContext getServletContext()

    - #### getPath

          public java.lang.String getPath()